import { createRouter, createWebHashHistory } from 'vue-router';

// 所有路由
import {staticRoutes} from "./routes-static";
import {dynamicRoutes} from "./routes-dynamic";
import {menuList} from "./menu-list";

/**
 * 创建 vue-router 实例
 */
const router = createRouter({
    history: createWebHashHistory(),
    routes: [...staticRoutes, ...dynamicRoutes],
});

// 导出
export default router;


// ---------------- 对外开放对象 ----------------
// 从页面中直接导入 menuList 在热刷新组件时会报错，不影响运行但影响开发体验，报错原因未知，猜测和vite热刷新流程相关 
// 改成下面的 useXxx 的形式则可以规避此问题

/**
 * 获取全局定义的菜单对象 
 */
export const useMenuList = function () {
    return menuList;
}
