/*
 * 1. 本项目依据 [Sa-Sso-Pro 单点登录商业版] 构建，此为付费授权项目，请不要随意传播源码。 
 * 2. 您可以在开发时删除、修改、添加任何代码，但请不要删除或修改当前文件头部的版权声明。 
 * 3. 您可以在 http://sa-pro.dev33.cn/index.html 获取项目的更多授权信息。 
 */
package com.pj;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * SSO 认证中心 
 * 
 * @author kong 
 */
@EnableAsync    // 启用异步
@EnableCaching // 启用缓存
@EnableScheduling // 启动定时任务
@SpringBootApplication // springboot本尊
@EnableTransactionManagement // 启动注解事务管理
public class SspServerApplication {

	public static void main(String[] args) {
		SpringApplication.run(SspServerApplication.class, args);
	}
	
}
