package com.pj.project.sys_client;

import java.io.Serializable;
import java.util.*;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: sys_client -- 应用表
 * @author shengzhang 
 */
@Data
@Accessors(chain = true)
public class SysClient implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sys_client";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "sys-client";	


	// ---------- 表中字段 ----------
	/**
	 * id号 
	 */
	public Long id;	

	/**
	 * 应用名称 
	 */
	public String name;	

	/**
	 * 应用图标 
	 */
	public String logo;	

	/**
	 * 应用介绍 
	 */
	public String intro;	

	/**
	 * 允许授权的url (多个用逗号隔开) 
	 */
	public String allowUrl;	

	/**
	 * 是否公开(1=公开, 2=私有)
	 */
	public Integer isPublic;	

	/**
	 * 应用状态(1=启用, 2=禁用) 
	 */
	public Integer status;	

	/**
	 * 创建时间 
	 */
	public Date createTime;	

}
