package com.pj.project.sys_client_visit;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: sys_client_visit -- 应用访问关系表
 * @author click33 
 */
@Data
@Accessors(chain = true)
public class SysClientVisit implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sys_client_visit";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "sys-client-visit";	


	// ---------- 表中字段 ----------
	/**
	 * 记录id 
	 */
	private Long id;	

	/**
	 * 应用ID 
	 */
	private Long clientId;	

	/**
	 * 用户ID 
	 */
	private Long userId;	

	/**
	 * 所属关系 (1=允许访问,2=禁止访问, 3=跟随应用) 
	 */
	private Integer visit;	

	/**
	 * 创建时间 
	 */
	private String createTime;	



	// ---------- 额外字段 ----------
	/**
	 * 应用名称 
	 */
	private String sysClientName;	

	/**
	 * 应用Logo 
	 */
	private String sysClientLogo;	

	/**
	 * 用户昵称 
	 */
	private String sysUserUsername;	

	/**
	 * 用户头像 
	 */
	private String sysUserAvatar;	



	


}
