package com.pj.project.sys_login_log;

import java.io.Serializable;
import java.util.*;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: sys_login_log -- 用户登录日志表
 * @author shengzhang 
 */
@Data
@Accessors(chain = true)
public class SysLoginLog implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sys_login_log";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "sys-login-log";	


	// ---------- 表中字段 ----------
	/**
	 * id号 
	 */
	private Long id;	

	/**
	 * 用户id 
	 */
	private Long userId;	

	/**
	 * 本次登录Token 
	 */
	private String accToken;	

	/**
	 * 登陆IP 
	 */
	private String loginIp;	

	/**
	 * 登陆地点
	 */
	private String loginAddress;	

	/**
	 * 客户端设备标识
	 */
	private String loginDevice;	

	/**
	 * 客户端系统标识 
	 */
	private String loginSystem;	

	/**
	 * 所属应用id 
	 */
	private Long clientId;	

	/**
	 * Client端域名 
	 */
	private String clientDomain;	

	/**
	 * 创建时间 
	 */
	private Date createTime;	



	// ---------- 额外字段 ----------
	/**
	 * 账号昵称 
	 */
	private String sysUserUsername;	

	/**
	 * 头像 
	 */
	private String sysUserAvatar;	
	
	/**
	 * 应用名称 
	 */
	private String sysClientName;	

	/**
	 * 应用logo  
	 */
	private String sysClientLogo;	




	


}
