package com.pj.project4sp.config;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: sp_config -- 配置信息表
 * @author click33 
 */
@Data
@Accessors(chain = true)
public class SpConfig implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sp_config";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "sp-config";	


	// ---------- 表中字段 ----------
	/**
	 * id号 
	 */
	private long id;	

	/**
	 * 配置分组 
	 */
	private String groupName;	

	/**
	 * 配置名称 
	 */
	private String name;	

	/**
	 * 配置值 
	 */
	private String value;	

	/**
	 * 备注 
	 */
	private String remarks;	

	/**
	 * 创建时间 
	 */
	private String createTime;	

	/**
	 * 更新时间 
	 */
	private String updateTime;	

	
}
