package com.pj.project4sp.menu;

import java.io.Serializable;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: sp_menu -- 菜单表
 * @author click33 
 */
@Data
@Accessors(chain = true)
public class SpMenu implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "sp_menu";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "menu-list";	


	// ---------- 表中字段 ----------
	/**
	 * 自增id 
	 */
	private Long aid;	

	/**
	 * 菜单id 
	 */
	private String id;	

	/**
	 * 菜单名称 
	 */
	private String title;	

	/**
	 * 菜单图标 
	 */
	private String icon;	

	/**
	 * 菜单介绍 
	 */
	private String info;	

	/**
	 * 菜单类型 (dir=目录, com=组件, btn=按钮, link=链接) 
	 */
	private String type;	

	/**
	 * 菜单路由 
	 */
	private String path;	

	/**
	 * 组件路径 
	 */
	private String componentPath;	

	/**
	 * 菜单url (如果指定了此值，则通过 iframe 打开页面视图) 
	 */
	private String url;	

	/**
	 * 是否属于外部链接 (如果为true, 则点击菜单时从新窗口打开url) 
	 */
	private Boolean isBlank;	

	/**
	 * 是否显示 (yes=永远显示,no=永远不显示,auth=根据权限决定是否显示) 
	 */
	private String show;	

	/**
	 * 是否鉴权 
	 */
	private Boolean auth;	

	/**
	 * 父菜单id （-1=顶级）
	 */
	private String parentId;	

	/**
	 * 排序索引 
	 */
	private Long sort;	

	/**
	 * 创建时间 
	 */
	private String createTime;	

	/**
	 * 更新时间 
	 */
	private String updateTime;	





	


}
